Subject: Re: linux-next: manual merge of the akpm-current tree with the folio tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 17 Feb 2022 16:30:26 +1100

Hi Matthew,

On Wed, 16 Feb 2022 20:41:35 +0000 Matthew Wilcox <[email-masked]> wrote:
>
> So where do we go from here?  I can see ways of resolving this if
> Andrew switches to git, but he won't, so that's out.  Perhaps I can
> publish a git tree of Hugh's mlock patches and Christoph's series,
> and you can pull that before Andrew's tree so git resolves the conflicts
> early before trying to resolve conflicts against my tree?

My response for any other subsystem would be that you need to go
through the maintainer's tree.  In this case that means feeding a patch
series to Andrew and updating that patch series.

Alternatively, you need to find someone (with Andrew's agreement) who
can maintain a git tree that includes all Andrew's MM patches and any
other topic branches and deals with all the conflicts and can feed it
all to Linus.  Linux-next would also include that tree/branch.

Andrew, do you have any comments?
-- 
Cheers,
Stephen Rothwell